"""Add votes

Revision ID: ba6b0a37bff2
Revises: 4e4bd15999e5
Create Date: 2019-09-26 10:04:26.589719

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ba6b0a37bff2'
down_revision = '4e4bd15999e5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('votes',
    sa.Column('voter_id', sa.Integer(), nullable=False),
    sa.Column('answer_id', sa.Integer(), nullable=False),
    sa.Column('type', sa.Enum('up', 'down', name='vote_type'), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['answer_id'], ['answers.id'], ),
    sa.ForeignKeyConstraint(['voter_id'], ['users.id'], ),
    sa.PrimaryKeyConstraint('voter_id', 'answer_id')
    )
    op.create_index(op.f('ix_votes_timestamp'), 'votes', ['timestamp'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_votes_timestamp'), table_name='votes')
    op.drop_table('votes')
    # ### end Alembic commands ###
